Index: svn/src/southbridge/intel/i82801ex/i82801ex_reset.c
===================================================================
--- svn.orig/src/southbridge/intel/i82801ex/i82801ex_reset.c
+++ svn/src/southbridge/intel/i82801ex/i82801ex_reset.c
@@ -1,6 +1,7 @@
 #include <arch/io.h>
+#include <reset.h>
 
-void i82801ex_hard_reset(void)
+void hard_reset(void)
 {
         /* Try rebooting through port 0xcf9 */
         outb((0 <<3)|(1<<2)|(1<<1), 0xcf9);
Index: svn/src/cpu/amd/model_gx2/cpubug.c
===================================================================
--- svn.orig/src/cpu/amd/model_gx2/cpubug.c
+++ svn/src/cpu/amd/model_gx2/cpubug.c
@@ -356,7 +356,7 @@ cpubug(void)
 
 	rev = msr.lo & 0xff;
 	if (rev < 0x20) {
-		printk_err("%s: rev < 0x20! bailing!\n");
+		printk_err("%s: rev < 0x20! bailing!\n", __func__);
 		return;
 	}
 	printk_debug("Doing cpubug fixes for rev 0x%x\n", rev);
Index: svn/src/cpu/amd/sc520/sc520.c
===================================================================
--- svn.orig/src/cpu/amd/sc520/sc520.c
+++ svn/src/cpu/amd/sc520/sc520.c
@@ -12,11 +12,12 @@
 #include <stdlib.h>
 #include <string.h>
 #include <bitops.h>
+#include <delay.h>
 #include "chip.h"
 
 
 /* hack for now */
-void sc520_udelay(int microseconds) {
+static void sc520_udelay(int microseconds) {
         volatile int x;
         for(x = 0; x < 1000; x++) 
                 ;  
@@ -24,7 +25,7 @@ void sc520_udelay(int microseconds) {
 
 /* looks like we define this now */
 void
-udelay(int microseconds) {
+udelay(unsigned microseconds) {
         sc520_udelay(microseconds); 
 }
 /*
@@ -46,7 +47,7 @@ static void cpu_init(device_t dev) 
  * there is no real northbridge, keep it here in cpu. 
  * Ron wins, he's writing the code. 
  */
-void sc520_enable_resources(struct device *dev) {
+static void sc520_enable_resources(struct device *dev) {
 	unsigned char command;
 
 	printk_spew("%s\n", __func__);
@@ -100,7 +101,7 @@ static void ram_resource(device_t dev, u
         unsigned long basek, unsigned long sizek)
 {
         struct resource *resource;
-  printk_spew("%s sizek 0x%x\n", __func__, sizek);
+	printk_spew("%s sizek 0x%lx\n", __func__, sizek);
         if (!sizek) {
                 return;
         }
Index: svn/src/mainboard/amd/mahogany/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany/mainboard.c
+++ svn/src/mainboard/amd/mahogany/mainboard.c
@@ -153,10 +153,10 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk_info("uma_memory_start=0x%x, uma_memory_size=0x%x \n",
-	uma_memory_base, uma_memory_size);
-	lb_add_memory_range(mem, LB_MEM_RESERVED,
-		uma_memory_base, uma_memory_size);
+	printk_info("uma_memory_start=0x%llx, uma_memory_size=0x%llx \n",
+		    uma_memory_base, uma_memory_size);
+	lb_add_memory_range(mem, LB_MEM_RESERVED, uma_memory_base,
+			    uma_memory_size);
 #endif
 }
 
Index: svn/src/mainboard/amd/mahogany_fam10/mainboard.c
===================================================================
--- svn.orig/src/mainboard/amd/mahogany_fam10/mainboard.c
+++ svn/src/mainboard/amd/mahogany_fam10/mainboard.c
@@ -153,10 +153,10 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk_info("uma_memory_start=0x%x, uma_memory_size=0x%x \n",
-	uma_memory_base, uma_memory_size);
-	lb_add_memory_range(mem, LB_MEM_RESERVED,
-		uma_memory_base, uma_memory_size);
+	printk_info("uma_memory_start=0x%llx, uma_memory_size=0x%llx \n",
+		    uma_memory_base, uma_memory_size);
+	lb_add_memory_range(mem, LB_MEM_RESERVED, uma_memory_base,
+			    uma_memory_size);
 #endif
 }
 
Index: svn/src/mainboard/amd/serengeti_cheetah_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/amd/serengeti_cheetah_fam10/irq_tables.c
+++ svn/src/mainboard/amd/serengeti_cheetah_fam10/irq_tables.c
@@ -70,7 +70,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (u8 *)(addr);
Index: svn/src/mainboard/asus/a8n_e/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/asus/a8n_e/irq_tables.c
+++ svn/src/mainboard/asus/a8n_e/irq_tables.c
@@ -78,7 +78,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000. */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/broadcom/blast/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/broadcom/blast/irq_tables.c
+++ svn/src/mainboard/broadcom/blast/irq_tables.c
@@ -60,7 +60,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/digitallogic/msm586seg/mainboard.c
===================================================================
--- svn.orig/src/mainboard/digitallogic/msm586seg/mainboard.c
+++ svn/src/mainboard/digitallogic/msm586seg/mainboard.c
@@ -26,7 +26,7 @@ static void irqdump()
   printk_err("mmcr is %p\n", mmcr);
   for(i = 0; irqlist[i] >= 0; i++) {
     irq = mmcr + irqlist[i];
-    printk_err("0x%x register @%p is 0x%lx\n", irqlist[i], irq, *irq);
+    printk_err("0x%x register @%p is 0x%x\n", irqlist[i], irq, *irq);
   }
 
 }
Index: svn/src/mainboard/gigabyte/ga_2761gxdk/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/ga_2761gxdk/irq_tables.c
+++ svn/src/mainboard/gigabyte/ga_2761gxdk/irq_tables.c
@@ -77,7 +77,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/gigabyte/m57sli/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/gigabyte/m57sli/irq_tables.c
+++ svn/src/mainboard/gigabyte/m57sli/irq_tables.c
@@ -75,7 +75,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/intel/eagleheights/reset.c
===================================================================
--- svn.orig/src/mainboard/intel/eagleheights/reset.c
+++ svn/src/mainboard/intel/eagleheights/reset.c
@@ -20,6 +20,7 @@
  */
 
 #include <arch/io.h>
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
@@ -45,18 +46,3 @@ void hard_reset(void)
 {
 	outb(0x06, 0xcf9);
 }
-
-void full_reset(void)
-{
-	device_t dev;
-	/* Enable power on after power fail... */
-	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_3100_LPC), 0);
-	if (dev != PCI_DEV_INVALID) {
-		unsigned byte;
-		byte = pci_read_config8(dev, 0xa4);
-		byte &= 0xfe;
-		pci_write_config8(dev, 0xa4, byte);
-	}
-	outb(0x0e, 0xcf9);
-}
-
Index: svn/src/mainboard/intel/jarrell/reset.c
===================================================================
--- svn.orig/src/mainboard/intel/jarrell/reset.c
+++ svn/src/mainboard/intel/jarrell/reset.c
@@ -1,4 +1,5 @@
 #include <arch/io.h>
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
Index: svn/src/mainboard/msi/ms7135/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7135/irq_tables.c
+++ svn/src/mainboard/msi/ms7135/irq_tables.c
@@ -91,7 +91,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *) (addr);
Index: svn/src/mainboard/msi/ms7260/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms7260/irq_tables.c
+++ svn/src/mainboard/msi/ms7260/irq_tables.c
@@ -71,7 +71,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 and 0x100000. */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/msi/ms9185/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9185/irq_tables.c
+++ svn/src/mainboard/msi/ms9185/irq_tables.c
@@ -82,7 +82,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
        pirq = (void *)(addr);
        v = (uint8_t *)(addr);
Index: svn/src/mainboard/msi/ms9282/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9282/irq_tables.c
+++ svn/src/mainboard/msi/ms9282/irq_tables.c
@@ -79,7 +79,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
        pirq = (void *)(addr);
        v = (uint8_t *)(addr);
Index: svn/src/mainboard/msi/ms9652_fam10/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/get_bus_conf.c
+++ svn/src/mainboard/msi/ms9652_fam10/get_bus_conf.c
@@ -131,10 +131,10 @@ void get_bus_conf(void)
 /*I/O APICs:	APIC ID	Version	State		Address*/
 #if CONFIG_LOGICAL_CPUS==1
 	apicid_base = get_apicid_base(1);
-	printk_spew("CONFIG_LOGICAL_CPUS==1: apicid_base: %08x\n");
+	printk_spew("CONFIG_LOGICAL_CPUS==1: apicid_base: %08x\n", apicid_base);
 #else
 	apicid_base = CONFIG_MAX_PHYSICAL_CPUS;
-	printk_spew("CONFIG_LOGICAL_CPUS==0: apicid_base: %08x\n");
+	printk_spew("CONFIG_LOGICAL_CPUS==0: apicid_base: %08x\n", apicid_base);
 #endif
 	m->apicid_mcp55 = apicid_base+0;
 }
Index: svn/src/mainboard/msi/ms9652_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/msi/ms9652_fam10/irq_tables.c
+++ svn/src/mainboard/msi/ms9652_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/nvidia/l1_2pvv/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/nvidia/l1_2pvv/irq_tables.c
+++ svn/src/mainboard/nvidia/l1_2pvv/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/olpc/btest/mainboard.c
===================================================================
--- svn.orig/src/mainboard/olpc/btest/mainboard.c
+++ svn/src/mainboard/olpc/btest/mainboard.c
@@ -61,7 +61,7 @@ static void init_dcon(void) {
 	/* Enable the DCON */
 	ret = do_smbus_write_word(iobase, 0x0D << 1, 0x01, 0x0069);
 	if (ret != 0)
-		printk_debug("DCON ENABLE FAILED\n", ret);
+		printk_debug("DCON ENABLE FAILED %d\n", ret);
   }
   else
 	  printk_debug("DCON NOT FOUND (%x)\n", rev);
Index: svn/src/mainboard/olpc/rev_a/mainboard.c
===================================================================
--- svn.orig/src/mainboard/olpc/rev_a/mainboard.c
+++ svn/src/mainboard/olpc/rev_a/mainboard.c
@@ -60,7 +60,7 @@ static void init_dcon(void) {
 	/* Enable the DCON */
 	ret = do_smbus_write_word(iobase, 0x0D << 1, 0x01, 0x0069);
 	if (ret != 0)
-		printk_debug("DCON ENABLE FAILED\n", ret);
+		printk_debug("DCON ENABLE FAILED %d\n", ret);
   }
   else
 	  printk_debug("DCON NOT FOUND (%x)\n", rev);
Index: svn/src/mainboard/sunw/ultra40/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/sunw/ultra40/irq_tables.c
+++ svn/src/mainboard/sunw/ultra40/irq_tables.c
@@ -71,7 +71,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/supermicro/h8dme/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dme/irq_tables.c
+++ svn/src/mainboard/supermicro/h8dme/irq_tables.c
@@ -75,7 +75,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/supermicro/h8dmr/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr/irq_tables.c
+++ svn/src/mainboard/supermicro/h8dmr/irq_tables.c
@@ -75,7 +75,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/supermicro/h8dmr_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8dmr_fam10/irq_tables.c
+++ svn/src/mainboard/supermicro/h8dmr_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be between 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/supermicro/h8qme_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/supermicro/h8qme_fam10/irq_tables.c
+++ svn/src/mainboard/supermicro/h8qme_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be between 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/supermicro/x6dai_g/reset.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dai_g/reset.c
+++ svn/src/mainboard/supermicro/x6dai_g/reset.c
@@ -1,4 +1,5 @@
 #include <arch/io.h>
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
@@ -24,19 +25,3 @@ void hard_reset(void)
         outb(0x02, 0xcf9);
         outb(0x06, 0xcf9);
 }
-void full_reset(void)
-{
-	device_t dev;
-	/* Enable power on after power fail... */
-	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_6300ESB_LPC), 0);
-	if (dev != PCI_DEV_INVALID) {
-		unsigned byte;
-		byte = pci_read_config8(dev, 0xa4);
-		byte &= 0xfe;
-		pci_write_config8(dev, 0xa4, byte);
-		
-	}
-        outb(0x0e, 0xcf9);
-}
-
-
Index: svn/src/mainboard/supermicro/x6dhe_g/reset.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhe_g/reset.c
+++ svn/src/mainboard/supermicro/x6dhe_g/reset.c
@@ -1,4 +1,5 @@
 #include <arch/io.h>
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
@@ -24,19 +25,3 @@ void hard_reset(void)
         outb(0x02, 0xcf9);
         outb(0x06, 0xcf9);
 }
-void full_reset(void)
-{
-	device_t dev;
-	/* Enable power on after power fail... */
-	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801ER_LPC), 0);
-	if (dev != PCI_DEV_INVALID) {
-		unsigned byte;
-		byte = pci_read_config8(dev, 0xa4);
-		byte &= 0xfe;
-		pci_write_config8(dev, 0xa4, byte);
-		
-	}
-        outb(0x0e, 0xcf9);
-}
-
-
Index: svn/src/mainboard/supermicro/x6dhe_g2/reset.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhe_g2/reset.c
+++ svn/src/mainboard/supermicro/x6dhe_g2/reset.c
@@ -1,4 +1,5 @@
 #include <arch/io.h>
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
@@ -24,19 +25,3 @@ void hard_reset(void)
         outb(0x02, 0xcf9);
         outb(0x06, 0xcf9);
 }
-void full_reset(void)
-{
-	device_t dev;
-	/* Enable power on after power fail... */
-	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801ER_LPC), 0);
-	if (dev != PCI_DEV_INVALID) {
-		unsigned byte;
-		byte = pci_read_config8(dev, 0xa4);
-		byte &= 0xfe;
-		pci_write_config8(dev, 0xa4, byte);
-		
-	}
-        outb(0x0e, 0xcf9);
-}
-
-
Index: svn/src/mainboard/supermicro/x6dhr_ig/reset.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhr_ig/reset.c
+++ svn/src/mainboard/supermicro/x6dhr_ig/reset.c
@@ -1,4 +1,5 @@
 #include <arch/io.h>
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
@@ -24,19 +25,3 @@ void hard_reset(void)
         outb(0x02, 0xcf9);
         outb(0x06, 0xcf9);
 }
-void full_reset(void)
-{
-	device_t dev;
-	/* Enable power on after power fail... */
-	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801ER_LPC), 0);
-	if (dev != PCI_DEV_INVALID) {
-		unsigned byte;
-		byte = pci_read_config8(dev, 0xa4);
-		byte &= 0xfe;
-		pci_write_config8(dev, 0xa4, byte);
-		
-	}
-        outb(0x0e, 0xcf9);
-}
-
-
Index: svn/src/mainboard/supermicro/x6dhr_ig2/reset.c
===================================================================
--- svn.orig/src/mainboard/supermicro/x6dhr_ig2/reset.c
+++ svn/src/mainboard/supermicro/x6dhr_ig2/reset.c
@@ -1,4 +1,5 @@
 #include <arch/io.h>
+#include <reset.h>
 #include <device/pci_def.h>
 #include <device/pci_ids.h>
 #if !defined (__ROMCC__) && !defined (__PRE_RAM__)
@@ -24,19 +25,3 @@ void hard_reset(void)
         outb(0x02, 0xcf9);
         outb(0x06, 0xcf9);
 }
-void full_reset(void)
-{
-	device_t dev;
-	/* Enable power on after power fail... */
-	dev = pci_locate_device(PCI_ID(PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_82801ER_LPC), 0);
-	if (dev != PCI_DEV_INVALID) {
-		unsigned byte;
-		byte = pci_read_config8(dev, 0xa4);
-		byte &= 0xfe;
-		pci_write_config8(dev, 0xa4, byte);
-		
-	}
-        outb(0x0e, 0xcf9);
-}
-
-
Index: svn/src/mainboard/technologic/ts5300/mainboard.c
===================================================================
--- svn.orig/src/mainboard/technologic/ts5300/mainboard.c
+++ svn/src/mainboard/technologic/ts5300/mainboard.c
@@ -7,7 +7,8 @@
 #include "chip.h"
 
 
-static void irqdump()
+#if 0
+static void irqdump(void)
 {
   volatile unsigned char *irq;
   void *mmcr;
@@ -26,16 +27,16 @@ static void irqdump()
   printk_err("mmcr is %p\n", mmcr);
   for(i = 0; irqlist[i] >= 0; i++) {
     irq = mmcr + irqlist[i];
-    printk_err("0x%x register @%p is 0x%lx\n", irqlist[i], irq, *irq);
+    printk_err("0x%x register @%p is 0x%x\n", irqlist[i], irq, *irq);
   }
 
 }
+#endif
 
 /* TODO: finish up mmcr struct in sc520.h, and;
    - set ADDDECTL (now done in raminit.c in cpu/amd/sc520
 */
 static void enable_dev(struct device *dev) {
-	volatile struct mmcrpic *pic = MMCRPIC;
 	volatile struct mmcr *mmcr = MMCRDEFAULT;
 
 	/* currently, nothing in the device to use, so ignore it. */
Index: svn/src/mainboard/tyan/s2881/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/irq_tables.c
+++ svn/src/mainboard/tyan/s2881/irq_tables.c
@@ -58,7 +58,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/tyan/s2882/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2882/irq_tables.c
+++ svn/src/mainboard/tyan/s2882/irq_tables.c
@@ -158,7 +158,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...\n", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...\n", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/tyan/s2885/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2885/irq_tables.c
+++ svn/src/mainboard/tyan/s2885/irq_tables.c
@@ -61,7 +61,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk_info("Writing IRQ routing tables to 0x%x...", addr);
+        printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/tyan/s2891/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2891/irq_tables.c
+++ svn/src/mainboard/tyan/s2891/irq_tables.c
@@ -67,7 +67,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/tyan/s2912/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912/irq_tables.c
+++ svn/src/mainboard/tyan/s2912/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/tyan/s2912_fam10/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2912_fam10/irq_tables.c
+++ svn/src/mainboard/tyan/s2912_fam10/irq_tables.c
@@ -76,7 +76,7 @@ unsigned long write_pirq_routing_table(u
 	addr &= ~15;
 
 	/* This table must be betweeen 0xf0000 & 0x100000 */
-	printk_info("Writing IRQ routing tables to 0x%x...", addr);
+	printk_info("Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
Index: svn/src/mainboard/via/epia-m/vgabios.c
===================================================================
--- svn.orig/src/mainboard/via/epia-m/vgabios.c
+++ svn/src/mainboard/via/epia-m/vgabios.c
@@ -371,7 +371,7 @@ void do_vgabios(void)
 		buf = (unsigned char *) 0xc0000;
 		if (buf[0]==0x55 && buf[1]==0xAA) {
 			busdevfn = (dev->bus->secondary << 8) | dev->path.pci.devfn;
-			printk_debug("bus/devfn = %#x\n", busdevfn);
+			printk_debug("bus/devfn = %#lx\n", busdevfn);
 
 		    	real_mode_switch_call_vga(busdevfn);
 		} else
@@ -567,14 +567,14 @@ int biosint(unsigned long intnumber,
 		      eax, ebx, ecx, edx);
 	printk_debug("biosint: ebp 0x%lx esp 0x%lx edi 0x%lx esi 0x%lx\n",
 		     ebp, esp, edi, esi);
-	printk_debug("biosint:  ip 0x%x   cs 0x%x  flags 0x%x\n",
+	printk_debug("biosint:  ip 0x%lx   cs 0x%lx  flags 0x%lx\n",
 		     ip, cs, flags);
 
 	// cases in a good compiler are just as good as your own tables. 
 	switch (intnumber) {
 	case 0 ... 15:
 		// These are not BIOS service, but the CPU-generated exceptions
-		printk_info("biosint: Oops, exception %u\n", intnumber);
+		printk_info("biosint: Oops, exception %lu\n", intnumber);
 		if (esp < 0x1000) {
 			printk_debug("Stack contents: ");
 			while (esp < 0x1000) {
@@ -602,8 +602,7 @@ int biosint(unsigned long intnumber,
 				&ebx, &edx, &ecx, &eax, &flags);
 		break;
 	default:
-		printk_info("BIOSINT: Unsupport int #0x%x\n", 
-			    intnumber);
+		printk_info("BIOSINT: Unsupport int #0x%lx\n", intnumber);
 		break;
 	}
 	if (ret)
Index: svn/src/northbridge/amd/amdfam10/amdfam10_acpi.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/amdfam10_acpi.c
+++ svn/src/northbridge/amd/amdfam10/amdfam10_acpi.c
@@ -89,7 +89,7 @@ static void set_srat_mem(void *gp, struc
 	basek = resk(res->base);
 	sizek = resk(res->size);
 
-	printk_debug("set_srat_mem: dev %s, res->index=%04x startk=%08x, sizek=%08x\n",
+	printk_debug("set_srat_mem: dev %s, res->index=%04lx startk=%08lx, sizek=%08lx\n",
 			dev_path(dev), res->index, basek, sizek);
 	/*
 	 * 0-640K must be on node 0
Index: svn/src/northbridge/amd/amdfam10/northbridge.c
===================================================================
--- svn.orig/src/northbridge/amd/amdfam10/northbridge.c
+++ svn/src/northbridge/amd/amdfam10/northbridge.c
@@ -1086,7 +1086,7 @@ static void pci_domain_set_resources(dev
 		ram_resource(dev, (idx | i), basek, sizek);
 		idx += 0x10;
 #if CONFIG_WRITE_HIGH_TABLES==1
-		printk_debug("%d: mmio_basek=%08lx, basek=%08x, limitk=%08x\n",
+		printk_debug("%d: mmio_basek=%08lx, basek=%08llx, limitk=%08llx\n",
 			     i, mmio_basek, basek, limitk);
 		if (i==0 && high_tables_base==0) {
 		/* Leave some space for ACPI, PIRQ and MP tables */
Index: svn/src/northbridge/amd/amdk8/northbridge.c
===================================================================
--- svn.orig/src/northbridge/amd/amdk8/northbridge.c
+++ svn/src/northbridge/amd/amdk8/northbridge.c
@@ -1005,7 +1005,7 @@ static void amdk8_domain_set_resources(d
 
 
 #if CONFIG_GFXUMA == 1
-		printk_debug("node %d : uma_memory_base/1024=0x%08x, mmio_basek=0x%08x, basek=0x%08x, limitk=0x%08x\n", i, uma_memory_base >> 10, mmio_basek, basek, limitk);
+		printk_debug("node %d : uma_memory_base/1024=0x%08llx, mmio_basek=0x%08lx, basek=0x%08x, limitk=0x%08x\n", i, uma_memory_base >> 10, mmio_basek, basek, limitk);
 		if ((uma_memory_base >> 10) < mmio_basek)
 			printk_alert("node %d: UMA memory starts below mmio_basek\n", i);
 #else
Index: svn/src/northbridge/amd/gx2/northbridge.c
===================================================================
--- svn.orig/src/northbridge/amd/gx2/northbridge.c
+++ svn/src/northbridge/amd/gx2/northbridge.c
@@ -127,7 +127,7 @@ static void irq_init_steering(struct dev
 	/* Set up IRQ steering */
 	uint32_t pciAddr = 0x80000000 | (CHIPSET_DEV_NUM << 11) | 0x5C;
 
-	printk_debug("%s(%08X [%08X], %04X)\n", __func__, dev, pciAddr, irq_map);
+	printk_debug("%s(%p [%08X], %04X)\n", __func__, dev, pciAddr, irq_map);
 
 	/* The IRQ steering values (in hex) are effectively dcba, where:
 	 *    <a> represents the IRQ for INTA, 
@@ -240,7 +240,7 @@ setup_gx2(void)
 	/* calculate the PBASE and PMASK fields */
 	tmp2 = (SMM_OFFSET << 8) & 0xFFF00000; /* shift right 12 then left 20  == left 8 */
 	tmp2 |= (((~(SMM_SIZE * 1024) + 1) >> 12) & 0xfffff);
-	printk_debug("MSR 0x%x is now 0x%x:0x%x\n", 0x10000026, tmp, tmp2);
+	printk_debug("MSR 0x%x is now 0x%lx:0x%lx\n", 0x10000026, tmp, tmp2);
 	msr.hi = tmp;
 	msr.lo = tmp2;
 	wrmsr(0x10000026, msr);
